Method: remediationPlans.execute

Full name: projects.locations.instances.remediationPlans.execute

Executes a suggested Remediation Plan.

HTTP request

POST https://{endpoint}/v1alpha/{name}:execute

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Identifier. The resource name of the plan to execute.

Request body

The request body contains data with the following structure:

JSON representation
{
  "actions": [
    {
      object (ActionExecutionOverride)
    }
  ]
}
Fields
actions[]

object (ActionExecutionOverride)

Optional. A set of explicit overrides to specific actions inside this plan.

Response body

If successful, the response body contains an instance of RemediationPlan.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

ActionExecutionOverride

Per-action execution override instructions passed during plan execution.

JSON representation
{
  "action": {
    object (RemediationAction)
  },
  "decision": enum (ActionExecutionDecision),
  "analystJustification": string
}
Fields
action

object (RemediationAction)

Required. Action identifier.

decision

enum (ActionExecutionDecision)

Required. The analyst's final instruction to execute or skip.

analystJustification

string

Optional. Analyst's rationale.

ActionExecutionDecision

The decision whether to execute or skip the action.

Enums
ACTION_EXECUTION_DECISION_UNSPECIFIED Unspecified decision.
ACTION_EXECUTION_DECISION_EXECUTE Explicit instruction to execute this action.
ACTION_EXECUTION_DECISION_SKIP Explicit instruction to skip this action (audited in execution logs).